VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::health::ApplmgmtStub Class Reference

Remote stub implementation of the Applmgmt API service. More...

Inherits vmware::appliance::health::Applmgmt.

List of all members.

## Public Member Functions
| ApplmgmtStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
string | Get ()
| Get health status of applmgmt services.
string | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get health status of applmgmt services.
global::System.Threading.Tasks.Task < string > | GetAsync ()
| Get health status of applmgmt services.
global::System.Threading.Tasks.Task < string > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get health status of applmgmt services.

## Detailed Description

Remote stub implementation of the Applmgmt API service.

## Constructor & Destructor Documentation

vmware::appliance::health::ApplmgmtStub::ApplmgmtStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

string vmware::appliance::health::ApplmgmtStub::Get | ( |  | ) | `[inline]`

Get health status of applmgmt services.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  health status.

Implements vmware::appliance::health::Applmgmt.

string vmware::appliance::health::ApplmgmtStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get health status of applmgmt services.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  health status.

Implements vmware::appliance::health::Applmgmt.

global::System.Threading.Tasks.Task<string> vmware::appliance::health::ApplmgmtStub::GetAsync | ( |  | ) | `[inline]`

Get health status of applmgmt services.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  health status.

Implements vmware::appliance::health::Applmgmt.

global::System.Threading.Tasks.Task<string> vmware::appliance::health::ApplmgmtStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get health status of applmgmt services.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  health status.

Implements vmware::appliance::health::Applmgmt.

The documentation for this class was generated from the following file:

- ApplmgmtStub.cs